using System;
using System.Windows.Forms;

namespace Ermes
{
    public class LoadForm : Form
    {
        private System.ComponentModel.IContainer components = null;
        Timer wait;

        public LoadForm()
        {
            InitializeComponent();

            this.wait = new Timer();
            this.wait.Interval = 2500; // form remain for 2 seconds
            this.wait.Tick += new EventHandler(this.Quit);
            this.wait.Start();
        }

        protected override void Dispose(bool disposing)
        {
            this.wait.Stop();
            this.wait.Dispose();

            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(LoadForm));
            this.SuspendLayout();
            // 
            // LoadForm
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Stretch;
            this.ClientSize = new System.Drawing.Size(220, 160);
            this.ControlBox = false;
            this.Cursor = System.Windows.Forms.Cursors.WaitCursor;
            this.DoubleBuffered = true;
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "LoadForm";
            this.ShowIcon = false;
            this.ShowInTaskbar = false;
            this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Form1";
            this.TransparencyKey = System.Drawing.SystemColors.Control;
            this.UseWaitCursor = true;
            this.Click += new System.EventHandler(this.Quit);
            this.ResumeLayout(false);

        }

        #endregion

        private void Quit(object sender, EventArgs e)
        {
            this.Dispose();
        }
    }
}