// Ermes - E.Richiardone e@richiardone.eu

using System;
using System.Drawing;
using System.Windows.Forms;
using System.Threading;

using System.Text.RegularExpressions;

namespace Ermes 
{
	// CliConfig: configuration window for clients
	public class ClientConfig : System.Windows.Forms.Form	
	{
		// struct got and to pass to main
		public configStr currentConfig;
		private configStr newConfig;

		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button3;
        private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.TextBox textBox3;
		private System.Windows.Forms.TextBox textBox4;
		private System.Windows.Forms.Label label7;
        private System.Windows.Forms.Label label8;
        private Label label1;
        private TextBox textBox1;
        private Label label2;
        private Label label3;
        private TextBox textBox2;
		
		private System.ComponentModel.Container components = null;

		public ClientConfig(ref configStr tCurrentConfig)
		{
			this.newConfig = this.currentConfig = tCurrentConfig;

			InitializeComponent();
		}

		protected override void Dispose(bool disposing)
		{
			if(disposing)
				if(components != null)
					components.Dispose();
			base.Dispose(disposing);
		}

		#region graphic stuff
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ClientConfig));
            this.button1 = new System.Windows.Forms.Button();
            this.button2 = new System.Windows.Forms.Button();
            this.button3 = new System.Windows.Forms.Button();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.label2 = new System.Windows.Forms.Label();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.textBox4 = new System.Windows.Forms.TextBox();
            this.textBox3 = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.textBox2 = new System.Windows.Forms.TextBox();
            this.groupBox3.SuspendLayout();
            this.SuspendLayout();
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(104, 165);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(64, 24);
            this.button1.TabIndex = 1;
            this.button1.Text = "Apply";
            this.button1.Click += new System.EventHandler(this.configApply);
            // 
            // button2
            // 
            this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.button2.Location = new System.Drawing.Point(192, 165);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(64, 24);
            this.button2.TabIndex = 2;
            this.button2.Text = "Cancel";
            this.button2.Click += new System.EventHandler(this.configCancel);
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(16, 165);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(64, 24);
            this.button3.TabIndex = 3;
            this.button3.Text = "Ok";
            this.button3.Click += new System.EventHandler(this.configOK);
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.label3);
            this.groupBox3.Controls.Add(this.textBox2);
            this.groupBox3.Controls.Add(this.label2);
            this.groupBox3.Controls.Add(this.textBox1);
            this.groupBox3.Controls.Add(this.label1);
            this.groupBox3.Controls.Add(this.label8);
            this.groupBox3.Controls.Add(this.label7);
            this.groupBox3.Controls.Add(this.textBox4);
            this.groupBox3.Controls.Add(this.textBox3);
            this.groupBox3.Location = new System.Drawing.Point(8, 7);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(260, 142);
            this.groupBox3.TabIndex = 6;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Network";
            // 
            // label2
            // 
            this.label2.Location = new System.Drawing.Point(199, 110);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(44, 16);
            this.label2.TabIndex = 10;
            this.label2.Text = "msec";
            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(132, 108);
            this.textBox1.MaxLength = 5;
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new System.Drawing.Size(62, 20);
            this.textBox1.TabIndex = 9;
            this.textBox1.Text = "3000";
            this.textBox1.WordWrap = false;
            this.textBox1.Leave += new System.EventHandler(this.NetTextBoxScr);
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(19, 112);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(104, 16);
            this.label1.TabIndex = 8;
            this.label1.Text = "Playout buffer: ";
            this.label1.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(16, 54);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(104, 16);
            this.label8.TabIndex = 6;
            this.label8.Text = "Audio port number:";
            this.label8.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(8, 26);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(112, 16);
            this.label7.TabIndex = 5;
            this.label7.Text = "Multicast address:";
            this.label7.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // textBox4
            // 
            this.textBox4.Location = new System.Drawing.Point(132, 50);
            this.textBox4.MaxLength = 5;
            this.textBox4.Name = "textBox4";
            this.textBox4.Size = new System.Drawing.Size(112, 20);
            this.textBox4.TabIndex = 3;
            this.textBox4.Text = "1234";
            this.textBox4.WordWrap = false;
            this.textBox4.Leave += new System.EventHandler(this.NetTextBoxScr);
            // 
            // textBox3
            // 
            this.textBox3.Location = new System.Drawing.Point(132, 22);
            this.textBox3.Name = "textBox3";
            this.textBox3.Size = new System.Drawing.Size(112, 20);
            this.textBox3.TabIndex = 2;
            this.textBox3.Text = "224.1.1.1";
            this.textBox3.Leave += new System.EventHandler(this.NetTextBoxScr);
            // 
            // label3
            // 
            this.label3.Location = new System.Drawing.Point(16, 83);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(104, 16);
            this.label3.TabIndex = 12;
            this.label3.Text = "Video port number:";
            this.label3.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // textBox2
            // 
            this.textBox2.Location = new System.Drawing.Point(132, 79);
            this.textBox2.MaxLength = 5;
            this.textBox2.Name = "textBox2";
            this.textBox2.Size = new System.Drawing.Size(112, 20);
            this.textBox2.TabIndex = 11;
            this.textBox2.Text = "1235";
            this.textBox2.WordWrap = false;
            // 
            // ClientConfig
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.BackColor = System.Drawing.SystemColors.Control;
            this.ClientSize = new System.Drawing.Size(274, 202);
            this.Controls.Add(this.groupBox3);
            this.Controls.Add(this.button3);
            this.Controls.Add(this.button2);
            this.Controls.Add(this.button1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.HelpButton = true;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.Name = "ClientConfig";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Client configuration panel";
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.ResumeLayout(false);

		}
		#endregion

		#region event handlers
		private void configCancel(object sender, System.EventArgs e)
		{
			this.Dispose();
		}

		private void configOK(object sender, System.EventArgs e)
		{
			this.saveConfig();
			this.Dispose();
		}

		private void configApply(object sender, System.EventArgs e)
		{
			this.saveConfig();
		}
	
		// check and save network textboxes values
		private void NetTextBoxScr(object sender, System.EventArgs e)
		{
			int aport;
            int vport;
            int pbuf;

            try
            {
                aport = Int16.Parse(this.textBox4.Text);
                vport = Int16.Parse(this.textBox2.Text);
                if ((aport < 1) || (aport > 65535) || (vport < 1) || (vport > 65535))
                    throw new FormatException();
            }
            catch (FormatException)
            {
                MessageBox.Show("Incorrect port number. Allowed number from 1 to 65535.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.textBox4.Text = this.newConfig.aPort.ToString();
                return;
            }

			// regular exception to match multicast ip address 
			// 224.0.0.2 to 244.255.255.255, accepted form preceded with useless zeros (224.001.03.020)
			Regex regexp = new Regex(@"^((22[4-9]|23[0-9]|24[0-4])\.)(([0-9]|[0-9][0-9]|[0-1][0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[0-9][0-9]|[0-1][0-9][0-9]|2[0-4][0-9]|25[0-5])$");

			if(!regexp.IsMatch(textBox3.Text))
			{
				MessageBox.Show("Incorrect multicast address. Allowed IP address from 224.0.0.2 to 244.255.255.255.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
				this.textBox4.Text = this.newConfig.ipAddress;
				return;
			}

            try
            {
                pbuf = Int16.Parse(this.textBox1.Text);
                if ((pbuf < 100) || (pbuf > 10000))
                    throw new FormatException();
            }
            catch (FormatException)
            {
                MessageBox.Show("Accepted values for the playout buffer are 100 througth 10000 milliseconds.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.textBox1.Text = this.newConfig.playoutBuffer.ToString();
                return;
            }

			// update settings
			this.newConfig.setNetwork(this.textBox4.Text, aport, vport);
            this.newConfig.playoutBuffer = pbuf;
		}
		#endregion


		private void saveConfig()
		{
			this.currentConfig = this.newConfig;
		}




	}
}
