// Ermes - E.Richiardone e@richiardone.eu

using System;
using System.Drawing;
using System.Windows.Forms;
using System.Threading;

using System.Text.RegularExpressions;

namespace Ermes 
{
	// ServConfig: configuration window for server operations
	public class ServConfig : System.Windows.Forms.Form	
	{

		private Rectangle area;
		// struct got and to pass to main
		public configStr currentConfig;
		private configStr newConfig;

		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button3;
		private System.Windows.Forms.Button button4;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.TrackBar trackBar1;
        private System.Windows.Forms.GroupBox groupBox4;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox textBox3;
		private System.Windows.Forms.TextBox textBox4;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;

		private System.Windows.Forms.Button button5;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.TextBox textBox5;
		private System.Windows.Forms.TextBox textBox6;
		private System.Windows.Forms.TextBox textBox7;
		private System.Windows.Forms.TextBox textBox8;
        private Label label9;
        private TextBox textBox9;
        private GroupBox groupBox2;
        private TextBox textBox2;
        private Label label5;
        private Label label4;
        private RadioButton radioButton2;
        private RadioButton radioButton1;
        private Label label6;
        private Label InfoLabel;
        private NumericUpDown numericUpDown1;
        private Label label2;
		
		private System.ComponentModel.Container components = null;

		public ServConfig(ref configStr tCurrentConfig)
		{
			
			this.newConfig = this.currentConfig = tCurrentConfig;

			InitializeComponent();

			this.textBox5.Text = this.currentConfig.getX0();
			this.textBox6.Text = this.currentConfig.getY0();
			this.textBox7.Text = this.currentConfig.getX1();
			this.textBox8.Text = this.currentConfig.getY1();

            this.textBox3.Text = this.currentConfig.ipAddress;
            this.textBox4.Text = this.currentConfig.aPort.ToString();
            this.textBox9.Text = this.currentConfig.vPort.ToString();

            this.textBox2.Text = this.newConfig.kfcnt.ToString();
            this.radioButton1.Checked = this.newConfig.kfqual;
            this.radioButton2.Checked = !this.newConfig.kfqual;
            this.numericUpDown1.Value = new decimal(new int[] { this.newConfig.fps, 0, 0, 0 });

            this.trackBar1.Value = this.currentConfig.getBandW();
            if (this.newConfig.getBandW() == 0)
                this.InfoLabel.Text = "450 kbps";
            if (this.newConfig.getBandW() == 1)
                this.InfoLabel.Text = "800 kbps";
            if (this.newConfig.getBandW() == 2)
                this.InfoLabel.Text = "1000 kbps";
            if (this.newConfig.getBandW() == 3)
                this.InfoLabel.Text = "1400 kbps";
		}

		protected override void Dispose(bool disposing)
		{
			if(disposing)
				if(components != null)
					components.Dispose();
			base.Dispose(disposing);
		}

		#region graphic stuff
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ServConfig));
            this.button1 = new System.Windows.Forms.Button();
            this.button2 = new System.Windows.Forms.Button();
            this.button3 = new System.Windows.Forms.Button();
            this.button4 = new System.Windows.Forms.Button();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.label9 = new System.Windows.Forms.Label();
            this.textBox9 = new System.Windows.Forms.TextBox();
            this.label8 = new System.Windows.Forms.Label();
            this.label7 = new System.Windows.Forms.Label();
            this.textBox4 = new System.Windows.Forms.TextBox();
            this.textBox3 = new System.Windows.Forms.TextBox();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.InfoLabel = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.numericUpDown1 = new System.Windows.Forms.NumericUpDown();
            this.label2 = new System.Windows.Forms.Label();
            this.radioButton2 = new System.Windows.Forms.RadioButton();
            this.radioButton1 = new System.Windows.Forms.RadioButton();
            this.label6 = new System.Windows.Forms.Label();
            this.textBox2 = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.trackBar1 = new System.Windows.Forms.TrackBar();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.textBox7 = new System.Windows.Forms.TextBox();
            this.textBox8 = new System.Windows.Forms.TextBox();
            this.textBox6 = new System.Windows.Forms.TextBox();
            this.textBox5 = new System.Windows.Forms.TextBox();
            this.panel1 = new System.Windows.Forms.Panel();
            this.button5 = new System.Windows.Forms.Button();
            this.groupBox3.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.groupBox2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.trackBar1)).BeginInit();
            this.groupBox4.SuspendLayout();
            this.SuspendLayout();
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(152, 459);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(64, 24);
            this.button1.TabIndex = 1;
            this.button1.Text = "Apply";
            this.button1.Click += new System.EventHandler(this.configApply);
            // 
            // button2
            // 
            this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.button2.Location = new System.Drawing.Point(240, 459);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(64, 24);
            this.button2.TabIndex = 2;
            this.button2.Text = "Cancel";
            this.button2.Click += new System.EventHandler(this.configCancel);
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(64, 459);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(64, 24);
            this.button3.TabIndex = 3;
            this.button3.Text = "Ok";
            this.button3.Click += new System.EventHandler(this.configOK);
            // 
            // button4
            // 
            this.button4.Location = new System.Drawing.Point(16, 56);
            this.button4.Name = "button4";
            this.button4.Size = new System.Drawing.Size(108, 24);
            this.button4.TabIndex = 4;
            this.button4.Text = "Select area";
            this.button4.Click += new System.EventHandler(this.selectArea);
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.label9);
            this.groupBox3.Controls.Add(this.textBox9);
            this.groupBox3.Controls.Add(this.label8);
            this.groupBox3.Controls.Add(this.label7);
            this.groupBox3.Controls.Add(this.textBox4);
            this.groupBox3.Controls.Add(this.textBox3);
            this.groupBox3.Location = new System.Drawing.Point(8, 140);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(344, 108);
            this.groupBox3.TabIndex = 6;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Network address";
            this.groupBox3.Leave += new System.EventHandler(this.NetTextBoxScr);
            // 
            // label9
            // 
            this.label9.Location = new System.Drawing.Point(52, 80);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(124, 16);
            this.label9.TabIndex = 8;
            this.label9.Text = "Video port number:";
            this.label9.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // textBox9
            // 
            this.textBox9.Location = new System.Drawing.Point(184, 76);
            this.textBox9.MaxLength = 5;
            this.textBox9.Name = "textBox9";
            this.textBox9.Size = new System.Drawing.Size(112, 20);
            this.textBox9.TabIndex = 7;
            this.textBox9.Text = "1235";
            this.textBox9.WordWrap = false;
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(52, 52);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(124, 16);
            this.label8.TabIndex = 6;
            this.label8.Text = "Audio port number:";
            this.label8.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(8, 24);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(168, 16);
            this.label7.TabIndex = 5;
            this.label7.Text = "Multicast address:";
            this.label7.TextAlign = System.Drawing.ContentAlignment.TopRight;
            // 
            // textBox4
            // 
            this.textBox4.Location = new System.Drawing.Point(184, 48);
            this.textBox4.MaxLength = 5;
            this.textBox4.Name = "textBox4";
            this.textBox4.Size = new System.Drawing.Size(112, 20);
            this.textBox4.TabIndex = 3;
            this.textBox4.Text = "1234";
            this.textBox4.WordWrap = false;
            // 
            // textBox3
            // 
            this.textBox3.Location = new System.Drawing.Point(184, 20);
            this.textBox3.Name = "textBox3";
            this.textBox3.Size = new System.Drawing.Size(112, 20);
            this.textBox3.TabIndex = 2;
            this.textBox3.Text = "224.1.1.1";
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.InfoLabel);
            this.groupBox1.Controls.Add(this.label1);
            this.groupBox1.Controls.Add(this.groupBox2);
            this.groupBox1.Controls.Add(this.label3);
            this.groupBox1.Controls.Add(this.trackBar1);
            this.groupBox1.Location = new System.Drawing.Point(8, 252);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(344, 198);
            this.groupBox1.TabIndex = 7;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Maximum network bandwith";
            // 
            // InfoLabel
            // 
            this.InfoLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.InfoLabel.Location = new System.Drawing.Point(86, 14);
            this.InfoLabel.Name = "InfoLabel";
            this.InfoLabel.Size = new System.Drawing.Size(168, 24);
            this.InfoLabel.TabIndex = 6;
            this.InfoLabel.Text = "2 Mbps";
            this.InfoLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(24, 47);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(56, 16);
            this.label1.TabIndex = 2;
            this.label1.Text = "450 kbps";
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.numericUpDown1);
            this.groupBox2.Controls.Add(this.label2);
            this.groupBox2.Controls.Add(this.radioButton2);
            this.groupBox2.Controls.Add(this.radioButton1);
            this.groupBox2.Controls.Add(this.label6);
            this.groupBox2.Controls.Add(this.textBox2);
            this.groupBox2.Controls.Add(this.label4);
            this.groupBox2.Controls.Add(this.label5);
            this.groupBox2.Location = new System.Drawing.Point(6, 81);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(332, 111);
            this.groupBox2.TabIndex = 5;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Advanced settings";
            this.groupBox2.Leave += new System.EventHandler(this.ASTextBoxScr);
            // 
            // numericUpDown1
            // 
            this.numericUpDown1.Increment = new decimal(new int[] {
            3,
            0,
            0,
            0});
            this.numericUpDown1.Location = new System.Drawing.Point(133, 55);
            this.numericUpDown1.Maximum = new decimal(new int[] {
            12,
            0,
            0,
            0});
            this.numericUpDown1.Minimum = new decimal(new int[] {
            3,
            0,
            0,
            0});
            this.numericUpDown1.Name = "numericUpDown1";
            this.numericUpDown1.Size = new System.Drawing.Size(48, 20);
            this.numericUpDown1.TabIndex = 11;
            this.numericUpDown1.Value = new decimal(new int[] {
            3,
            0,
            0,
            0});
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(6, 57);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(123, 13);
            this.label2.TabIndex = 10;
            this.label2.Text = "fps (frame per seconds): ";
            // 
            // radioButton2
            // 
            this.radioButton2.AutoSize = true;
            this.radioButton2.Location = new System.Drawing.Point(194, 85);
            this.radioButton2.Name = "radioButton2";
            this.radioButton2.Size = new System.Drawing.Size(80, 17);
            this.radioButton2.TabIndex = 5;
            this.radioButton2.Text = "Low Quality";
            this.radioButton2.UseVisualStyleBackColor = true;
            // 
            // radioButton1
            // 
            this.radioButton1.AutoSize = true;
            this.radioButton1.Checked = true;
            this.radioButton1.Location = new System.Drawing.Point(105, 85);
            this.radioButton1.Name = "radioButton1";
            this.radioButton1.Size = new System.Drawing.Size(82, 17);
            this.radioButton1.TabIndex = 4;
            this.radioButton1.TabStop = true;
            this.radioButton1.Text = "High Quality";
            this.radioButton1.UseVisualStyleBackColor = true;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(7, 86);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(90, 13);
            this.label6.TabIndex = 3;
            this.label6.Text = "Keyframe quality: ";
            // 
            // textBox2
            // 
            this.textBox2.Location = new System.Drawing.Point(133, 26);
            this.textBox2.MaxLength = 3;
            this.textBox2.Name = "textBox2";
            this.textBox2.Size = new System.Drawing.Size(48, 20);
            this.textBox2.TabIndex = 2;
            this.textBox2.Text = "10";
            this.textBox2.WordWrap = false;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(7, 28);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(122, 13);
            this.label4.TabIndex = 0;
            this.label4.Text = "Send a keyframe every: ";
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(184, 28);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(138, 13);
            this.label5.TabIndex = 1;
            this.label5.Text = "frames (1 -> only keyframes)";
            // 
            // label3
            // 
            this.label3.Location = new System.Drawing.Point(269, 47);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(59, 16);
            this.label3.TabIndex = 4;
            this.label3.Text = "1400 kbps";
            // 
            // trackBar1
            // 
            this.trackBar1.LargeChange = 3;
            this.trackBar1.Location = new System.Drawing.Point(83, 39);
            this.trackBar1.Maximum = 3;
            this.trackBar1.Name = "trackBar1";
            this.trackBar1.Size = new System.Drawing.Size(178, 42);
            this.trackBar1.SmallChange = 3;
            this.trackBar1.TabIndex = 0;
            this.trackBar1.Value = 1;
            this.trackBar1.Scroll += new System.EventHandler(this.BWTextBoxScr);
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.textBox7);
            this.groupBox4.Controls.Add(this.textBox8);
            this.groupBox4.Controls.Add(this.textBox6);
            this.groupBox4.Controls.Add(this.textBox5);
            this.groupBox4.Controls.Add(this.panel1);
            this.groupBox4.Controls.Add(this.button5);
            this.groupBox4.Controls.Add(this.button4);
            this.groupBox4.Location = new System.Drawing.Point(8, 8);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(344, 128);
            this.groupBox4.TabIndex = 9;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Screen area to send";
            // 
            // textBox7
            // 
            this.textBox7.Location = new System.Drawing.Point(268, 68);
            this.textBox7.MaxLength = 4;
            this.textBox7.Name = "textBox7";
            this.textBox7.Size = new System.Drawing.Size(40, 20);
            this.textBox7.TabIndex = 10;
            this.textBox7.Text = "0";
            this.textBox7.Leave += new System.EventHandler(this.AreaTextBoxScr);
            // 
            // textBox8
            // 
            this.textBox8.Location = new System.Drawing.Point(228, 92);
            this.textBox8.MaxLength = 4;
            this.textBox8.Name = "textBox8";
            this.textBox8.Size = new System.Drawing.Size(40, 20);
            this.textBox8.TabIndex = 9;
            this.textBox8.Text = "0";
            this.textBox8.Leave += new System.EventHandler(this.AreaTextBoxScr);
            // 
            // textBox6
            // 
            this.textBox6.Location = new System.Drawing.Point(200, 24);
            this.textBox6.MaxLength = 4;
            this.textBox6.Name = "textBox6";
            this.textBox6.Size = new System.Drawing.Size(40, 20);
            this.textBox6.TabIndex = 8;
            this.textBox6.Text = "0";
            this.textBox6.Leave += new System.EventHandler(this.AreaTextBoxScr);
            // 
            // textBox5
            // 
            this.textBox5.Location = new System.Drawing.Point(160, 48);
            this.textBox5.MaxLength = 4;
            this.textBox5.Name = "textBox5";
            this.textBox5.Size = new System.Drawing.Size(40, 20);
            this.textBox5.TabIndex = 7;
            this.textBox5.Text = "0";
            this.textBox5.WordWrap = false;
            this.textBox5.Leave += new System.EventHandler(this.AreaTextBoxScr);
            // 
            // panel1
            // 
            this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.panel1.Location = new System.Drawing.Point(208, 52);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(52, 32);
            this.panel1.TabIndex = 6;
            // 
            // button5
            // 
            this.button5.Location = new System.Drawing.Point(16, 92);
            this.button5.Name = "button5";
            this.button5.Size = new System.Drawing.Size(108, 24);
            this.button5.TabIndex = 5;
            this.button5.Text = "Capture full screen";
            this.button5.Click += new System.EventHandler(this.setFullScr);
            // 
            // ServConfig
            // 
            this.AcceptButton = this.button3;
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.BackColor = System.Drawing.SystemColors.Control;
            this.CancelButton = this.button2;
            this.ClientSize = new System.Drawing.Size(362, 491);
            this.Controls.Add(this.groupBox4);
            this.Controls.Add(this.groupBox1);
            this.Controls.Add(this.groupBox3);
            this.Controls.Add(this.button3);
            this.Controls.Add(this.button2);
            this.Controls.Add(this.button1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.HelpButton = true;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.Name = "ServConfig";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = " Server configuration panel";
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.trackBar1)).EndInit();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.ResumeLayout(false);

		}
		#endregion

		#region event handlers
		private void configCancel(object sender, System.EventArgs e)
		{
			this.Dispose(true);
		}

		private void configOK(object sender, System.EventArgs e)
		{
			this.saveConfig();
			this.Dispose(true);
		}

		private void configApply(object sender, System.EventArgs e)
		{
			this.saveConfig();
		}

		private void setFullScr(object sender, EventArgs e)
		{
			this.updateAreaSize(Screen.PrimaryScreen.Bounds);
		}
		
		private void selectArea(object sender, EventArgs e)
		{
			Thread selThr = new Thread(new ThreadStart(this.startSelectWin));
			this.Visible = false;

			selThr.Start();
			selThr.Join();

			this.updateAreaSize(this.area);
			this.Visible = true;
		}

		// check and save area textboxes values
		private void AreaTextBoxScr(object sender, System.EventArgs e)
		{
			try
			{
				if((Int16.Parse(this.textBox5.Text) < 0) || (Int16.Parse(this.textBox5.Text) > Screen.PrimaryScreen.Bounds.Width) 
					|| (Int16.Parse(this.textBox6.Text) < 0) || (Int16.Parse(this.textBox6.Text) > Screen.PrimaryScreen.Bounds.Height))
                    throw new FormatException();
            }
			catch (FormatException)
			{
				MessageBox.Show("Incorrect value for top left corner.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
				this.textBox5.Text = newConfig.getX0();
				this.textBox6.Text = newConfig.getY0();
				return;
			}
			try 
			{
                if (Int16.Parse(this.textBox8.Text) < 0 || Int16.Parse(this.textBox8.Text) > Screen.PrimaryScreen.Bounds.Height
                    || Int16.Parse(this.textBox7.Text) < 0 || Int16.Parse(this.textBox7.Text) > Screen.PrimaryScreen.Bounds.Width)
                    throw new FormatException();
			}
			catch (FormatException)
			{
				MessageBox.Show("Incorrect value for bottom right corner.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
				this.textBox7.Text = newConfig.getX1();
				this.textBox8.Text = newConfig.getY1();
				return;
			}

			// update the new settings
			this.newConfig.setArea(new Rectangle(Int16.Parse(this.textBox5.Text), Int16.Parse(this.textBox6.Text), 
				Int16.Parse(this.textBox7.Text) - Int16.Parse(this.textBox5.Text), Int16.Parse(this.textBox8.Text) 
				- Int16.Parse(this.textBox6.Text)));
		}

		// check and save network textboxes values
		private void NetTextBoxScr(object sender, System.EventArgs e)
		{
			int aport, vport;

			try
			{
				aport = Int16.Parse(this.textBox4.Text);
                if ((aport < 1) || (aport > 65535))
                    throw new FormatException();

                vport = Int16.Parse(this.textBox9.Text);
                if ((vport < 1) || (vport > 65535))
                    throw new FormatException();

                if (aport == vport)
                    throw new FormatException();
            }
			catch (FormatException)
			{
				MessageBox.Show("Incorrect port number. Allowed number from 1 to 65535, the audio port must be different from video port",
                    "", MessageBoxButtons.OK, MessageBoxIcon.Error);
				this.textBox4.Text = this.newConfig.aPort.ToString();
                this.textBox9.Text = this.newConfig.vPort.ToString();
				return;
			}

			// regular exception to match multicast ip address 
			// 224.0.0.2 to 244.255.255.255, accepted form preceded with useless zeros (224.001.03.020)
			Regex regexp = new Regex(@"^((22[4-9]|23[0-9]|24[0-4])\.)(([0-9]|[0-9][0-9]|[0-1][0-9][0-9]|2[0-4][0-9]|25[0-5])\.){2}([0-9]|[0-9][0-9]|[0-1][0-9][0-9]|2[0-4][0-9]|25[0-5])$");

			if(!regexp.IsMatch(textBox3.Text))
			{
				MessageBox.Show("Incorrect multicast address. Allowed IP address from 224.0.0.2 to 244.255.255.255.", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
				this.textBox3.Text = this.newConfig.ipAddress;
				return;
			}

			// update settings
			this.newConfig.setNetwork(this.textBox3.Text, aport, vport);
		}
        
        // check and save bandwith parameter
        private void BWTextBoxScr(object sender, System.EventArgs e)
        {
            if (this.trackBar1.Value == 0)
            {
                this.newConfig.SetVQuality(50, false, 333, 3);
                this.InfoLabel.Text = "450 kbps";
            }
            if (this.trackBar1.Value == 1)
            {
                this.newConfig.SetVQuality(5, false, 111, 9);
                this.InfoLabel.Text = "800 kbps";
            }
            if (this.trackBar1.Value == 2)
            {
                this.newConfig.SetVQuality(10, true, 166, 6);
                this.InfoLabel.Text = "1000 kbps";
            }
            if (this.trackBar1.Value == 3)
            {
                this.newConfig.SetVQuality(3, true, 83, 12);
                this.InfoLabel.Text = "1400 kbps";
            }

            // let`s refresh parameters
            this.textBox2.Text = this.newConfig.kfcnt.ToString();
            this.radioButton1.Checked = this.newConfig.kfqual;
            this.radioButton2.Checked = !this.newConfig.kfqual;
            this.numericUpDown1.Value = new decimal(new int[] { this.newConfig.fps, 0, 0, 0 });

            this.Refresh();
        }

        // check and save advanced settings parameters
        private void ASTextBoxScr(object sender, System.EventArgs e)
        {
            ushort kfcnt;
            int refperiod = 333;

            try
            {
                kfcnt = UInt16.Parse(this.textBox2.Text);
                if ((kfcnt < 1) || (kfcnt > 50))
                    throw new FormatException();
            }
            catch (FormatException)
            {
                MessageBox.Show("Accepted values are from 1 to 50", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                this.textBox2.Text = this.newConfig.kfcnt.ToString();
                return;
            }

            if (this.numericUpDown1.Value == 3)
                refperiod = 333;
            if (this.numericUpDown1.Value == 6)
                refperiod = 166;
            if (this.numericUpDown1.Value == 9)
                refperiod = 111;
            if (this.numericUpDown1.Value == 12)
                refperiod = 83;

            // update settings
            this.trackBar1.Value = this.newConfig.SetVQuality(kfcnt, this.radioButton1.Checked, refperiod, (int)this.numericUpDown1.Value);
            if (this.newConfig.getBandW() == 0)
                this.InfoLabel.Text = "450 kbps";
            if (this.newConfig.getBandW() == 1)
                this.InfoLabel.Text = "800 kbps";
            if (this.newConfig.getBandW() == 2)
                this.InfoLabel.Text = "1000 kbps";
            if (this.newConfig.getBandW() == 3)
                this.InfoLabel.Text = "1400 kbps";
        }
        #endregion

		private void updateAreaSize(Rectangle tR)
		{
			this.newConfig.setArea(tR);

			textBox5.Text = tR.Left.ToString();
			textBox6.Text = tR.Top.ToString();
			textBox7.Text = tR.Right.ToString();
			textBox8.Text = tR.Bottom.ToString();
		}

		private void startSelectWin()
		{
			SelectWin sw = new SelectWin();
			Application.Run(sw);
			this.area = sw.area;
		}

		private void saveConfig()
		{
			this.currentConfig = this.newConfig;
		}

	}

	#region topmost transparent window for area selection
	public class SelectWin : System.Windows.Forms.Form 
	{
		private System.ComponentModel.Container components = null;
		public Rectangle area;

		public SelectWin()
		{
			this.InitializeComponent();

			this.MouseDown += new MouseEventHandler(this.onMouseDown);
			this.MouseUp += new MouseEventHandler(this.onMouseUp);
		}

		protected override void Dispose(bool disposing)
		{
			if(disposing)
				if(components != null)
					components.Dispose();
			base.Dispose(disposing);
		}

		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(SelectWin));
	
			this.Name = "SelectWin";
			this.TopMost = true;
			this.ShowInTaskbar = false;
			this.Capture = true;
			this.ControlBox = false;

			//			this.ClientSize = new System.Drawing.Size(Screen.PrimaryScreen.Bounds.Width, Screen.PrimaryScreen.Bounds.Height);
			//			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			//			this.Location = new Point(0, 0);
			//			this.WindowState = System.Windows.Forms.FormWindowState.Maximized;

			this.DesktopBounds = new Rectangle(new Point(0, 0), 
				new Size(Screen.PrimaryScreen.Bounds.Width, Screen.PrimaryScreen.Bounds.Height));

			this.Opacity = 0.01;
			this.Cursor = System.Windows.Forms.Cursors.Cross;

			this.ResumeLayout(false);
		}

		private void onMouseDown(object sender, MouseEventArgs e)
		{
			this.area.X = e.X;
			this.area.Y = e.Y;
		}

		private void onMouseUp(object sender, MouseEventArgs e)
		{
			if(e.X < this.area.X)
			{
				this.area.Width = this.area.X - e.X;
				this.area.X = e.X;
			} 
			else 
			{
				this.area.Width = e.X - this.area.X;
			}

			if(e.Y < this.area.Y)
			{
				this.area.Height = this.area.Y - e.Y;
				this.area.Y = e.Y;
			} 
			else 
			{
				this.area.Height = e.Y - this.area.Y;
			}

			// 5 pixels of border, otherwise the numbers starts at -4
			this.area.X += 4;
			this.area.Y += 4;
			this.area.Width ++;
			this.area.Height ++;

			this.Dispose(true);
		}
	}
	#endregion
}
