using System;

namespace Mux
{
    // the object passed in the queue synchronisation
    class QueueObj
    {
        private long ts;
        private int mSize;
        private byte[] mIcon;
        private ushort x;
        private ushort y;
        bool draw;

        public QueueObj(long timestamp, int nmSize, byte[] nmIcon, byte flags, ushort nX, ushort nY)
        {
            ts = timestamp;

            // the cursor is visible?
            if (flags == 0x1)
            {
                draw = true;

                mSize = nmSize;
                mIcon = nmIcon;

                x = nX;
                y = nY;
            }
            else
                draw = false;
        }

        public long GetInfo(ref bool nDraw, ref int nCursorSize, ref byte[] nCursor, ref ushort nX, ref ushort nY)
        {
            if (nDraw = this.draw)
            {
                nX = x;
                nY = y;

                nCursorSize = mSize;
                nCursor = mIcon;
            }

            return ts;
        }

    }

}
